/**
 * Style for the conversation section
 */
.chat-box__conversation {
  position: relative;
  top: 45px;
  height: calc(100% - (64px + 45px)); /* height of the chat-box - input & header */
  overflow-y: scroll;
  scrollbar-width: none; /* Firefox */
  -ms-overflow-style: none;  /* IE 10+ */
  scroll-padding-bottom: 0.5em;

  &::-webkit-scrollbar { /* Chrome/Safari */
    width: 0;
    height: 0;
  }

  .dots{
    width: 3em;
    padding: 1em;
    margin: $marginDefault;
    background-color: #fff;
    position: relative;
    float: left;  
    clear: both;
    border-radius: 40px 40px 40px 0;
    box-shadow: 2px 1px 8px $shadows;
    scroll-margin-bottom: 1em;

    img{
      width: 100%;
    }
  }

  .message {
    position: relative;
    max-width: 70%;
    padding: $paddingDefault;
    margin: 6px;
    word-wrap: break-word;

    @include font();

    &.message--user {
      background-color: $userBubble;
      float: right;
      clear: both;
      border-radius: 40px 40px 0 40px;
    }

    &.message--bot {
      background-color: $botBubble;
      float: left;
      clear: both;
      border-radius: 40px 40px 40px 0;
    }
  }
}
